import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';

import 'rxjs/add/operator/map';

import { RESTService } from 'packages/commons/service/rest.service';


import { MetaCrawler } from '../model';

@Injectable()
export class CrawlerService {

  public constructor(
    private restService: RESTService,
  ) {

  }

  public signin(email: string, password: string): Observable<MetaCrawler> {
    const body = {
      signinId: email,
      signinPw: password,
    };

    return this.restService.post<MetaCrawler>('/account/signin', body);
  }

  public readAll(): Observable<MetaCrawler[]> {
    return this.restService.post<MetaCrawler[]>('/account/signup', null);
  }
}
